#!/bin/bash

# you should probably download a txt dictionary of your favourite language and use that as a words.txt

WORDSTOPLAY=10
WORDSFILE="$1"
if [[ -z "$WORDSFILE" ]]; then
	WORDSFILE="words.txt"
fi

export LC_ALL=C # dont do unicode stuff in egrep
sort -R "$WORDSFILE" | sed 's/\/.*//' | egrep '^[A-Za-z]{5,}$' | head -n $WORDSTOPLAY | tr [:upper:] [:lower:]  | qt/multypo

