#ifndef PLAYER_H
#define PLAYER_H

#include <QString>
#include <QLabel>

class Player
{
private:
	QString name;
	QString currentLine;
	QLabel* theLabel;
	bool modifyable;
public:
	Player(QWidget* parent);
	bool handleKey(QString); /* returns whether a char was added */
	void resetText();
	bool hasName();
	QString getName();
	QString getCurrentLine();
	void setWaiting(QString labeltext);

	int score;
};

#endif // PLAYER_H
